html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: 'Roboto Condensed';
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #000;
  text-align: left;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.bg-body {
  background-image: url(../../assets/img/background-tile.jpg);
  background-attachment: fixed;
}

/* Text Styling */

a {
  transition: color .2s;
}

a:hover {
  text-decoration: none;
}

p {
  font-family: 'Roboto Condensed';
  margin-top: 0;
  margin-bottom: 1rem;
  font-size: 18px;
  line-height: 1.4;
  text-align: left;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
}

.no-hyphens {
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

@media (min-width: 576px) {
  p {
    text-align: justify;
  }
}

ul {
  font-size: 18px;
}

.hours-notice-txt {
  font-size: 15px;
  line-height: 18px;
}

.responsive-lead-text {
  font-size: 20px;
}

@media (min-width: 992px) {
  .responsive-lead-text {
    font-size: 23px;
  }
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  font-family: 'Roboto Condensed';
  margin-bottom: .5rem;
  font-weight: 700;
  line-height: 1.3;
}

.h1, h1 {
  font-size: calc(20px + 2vw);
}

@media (min-width:1200px) {
  .h1, h1 {
    font-size: 44px;
  }
}

.h2, h2 {
  font-size: calc(20px + 1.3vw);
}

@media (min-width: 992px) {
  .h2, h2 {
    font-size: 33px;
  }
}

.h3, h3 {
  font-size: calc(16px + 1vw);
}

@media (min-width: 1200px) {
  .h3, h3 {
    font-size: 30px;
  }
}

.h5, h5 {
  font-weight: 400;
}

.h5, h5 {
  font-size: 18px;
}

@media (min-width: 992px) {
  .h5, h5 {
    font-size: 20px;
  }
}

.fs-1 {
  font-size: calc(1.375rem + 1.5vw) !important;
  line-height: 1.2;
}

@media (min-width: 1200px) {
  .fs-1 {
    font-size: 40px !important;
  }
}

.fs-2 {
  font-size: calc(21px + 1vw) !important;
  line-height: 1.2;
}

@media (min-width: 1200px) {
  .fs-2 {
    font-size: 33px !important;
  }
}

.fs-3 {
  font-size: calc(19px + .5vw) !important;
  line-height: 1.2;
}

@media (min-width: 1200px) {
  .fs-3 {
    font-size: 26.4px !important;
  }
}

.text-theme {
  color: #91298c;
}

.text-directions {
  font-size: 28px;
}

/* General Styling */

hr {
  margin-top: 20px;
  margin-bottom: 20px;
  border: 0;
  border-top: 1px solid rgba(0,0,0,.15);
}

.google a span img {
  opacity: 1;
  transform: translateZ(0);
  transition: all .2s;
}

.google a:hover span img {
  opacity: .7;
}

.bg-black {
  background: #000;
}

.content {
  background: #fff;
  box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.5);
  border-left: solid 1px #797979;
  border-right: solid 1px #797979;
}

.bg-tint {
  background: rgba(104,0,153,0.1);
}

.svg-drop-shadow {
  filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, .7));
}

.text-shadow {
  text-shadow: 1px 1px 1px rgba(0,0,0,0.5);
}

.no-text-shadow {
  text-shadow: none;
}

@media (min-width:992px) {
  #eventModal .modal-lg, .modal-xl {
    max-width: 960px;
  }
}

@media (min-width:1200px) {
  #eventModal .modal-xl {
    max-width: 1002px;
  }
}

/* Scroll Margins */

.se {
  scroll-margin: 165px;
}

@media (min-width: 576px) {
  .se {
    scroll-margin: 125px;
  }
}

@media (min-width: 992px) {
  .se {
    scroll-margin: 140px;
  }
}

/* Button Styling */

.btn-responsive {
  padding: 6px 10px;
  font-size: 18px;
}

@media (min-width: 576px) {
  .btn-responsive {
    padding: 6px 15px;
    font-size: 20px;
  }
}

@media (min-width: 992px) {
  .btn-responsive {
    padding: 8px 20px;
    font-size: 22px;
  }
}

.signup-but {
  padding: 10px 20px;
  font-size: 22px;
  border-radius: 4px !important;
}

.theme-btn:not(:disabled):not(.disabled) {
  background-color: #6f006f;
  color: #fff;
  transition: all .5s;
  box-shadow: none;
  border-width: 0px;
  border-radius: 4px;
  font-weight: 700;
  text-shadow: 1px 1px 3px rgba(0,0,0,0.7);
}

.theme-btn:not(:disabled):not(.disabled):hover {
  background-color: #91298c;
  color: #fff;
}

.signup-but:hover {
  transform: scale(1.1, 1.1);
  transition: all .5s !important;
}

@media (min-width: 576px) {
  .signup-but {
    padding: 10px 40px;
    font-size: 28px;
  }
}

@media (min-width: 768px) {
  .signup-but {
    padding: 10px 40px;
    font-size: 36px;
  }
}

@media (min-width: 992px) {
  .figure-caption {
    max-width: 460px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .figure-caption {
    max-width: 300px;
  }
}

.figure-caption {
  font-size: 16px;
  line-height: 1.4;
}

/* Contact Page */

.opt-in {
  color: #6f006f;
  font-size: 14px;
  line-height: 1.3;
  text-align: left;
  margin: 10px 6px;
  text-align: justify;
}

#myContact .contact-numbers {
  font-size: 25px;
}

@media (min-width: 576px) {
  #myContact .contact-numbers {
    font-size: 22px;
  }
}

@media (min-width: 768px) {
  #myContact .contact-numbers {
    font-size: 24px;
  }
}

#myContact .social-networks a {
  font-size: 28px;
  color: #fff;
  transition: 0.2s;
  background: #1e1e1e;
  border-radius: 4px;
  padding: 2px 8px 0px 8px;
  min-width: 42px;
  margin: 0 2px;
}

#myContact .social-networks a:hover {
  text-decoration: none;
}

#myContact .facebook:hover {
  color: #0a42ff;
}

#myContact .youtube:hover {
  color: #ff0000;
}

#myContact .instagram:hover {
  color: #ff00e6;
}

#myContact .table-hours {
  font-size: 17px;
  max-width: 360px;
}

.form-spam-message {
  font-size: 15px;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

.no-spam-wrapper {
  margin-top: -30px;
}

/* BTop Button */

#btop-but:before {
  position: absolute;
  content: "";
  background: #fff;
  width: 38px;
  height: 38px;
  top: 3px;
  left: 1px;
  border-radius: 4px;
  z-index: -1;
  box-shadow: 0 0 5px 2px rgba(0,0,0,0.5);
}

#btop-but {
  position: fixed;
  bottom: -4px;
  right: 7px;
  font-size: 40px;
  line-height: 38px;
  height: 54px;
  z-index: 9999;
  text-shadow: none;
  opacity: .7 !important;
  transition: all .3s;
}

#btop-but a {
  color: #6f006f !important;
}

/* 2. Hover styles - EXCLUSIVELY for desktop/mouse users */

@media (hover: hover) and (pointer: fine) {
  #btop-but:hover {
    opacity: 1 !important;
  }
}

body.modal-open #btop-but {
  display: none !important;
}

/* Quote Styling */

#maQuote .speech-bubble {
  display: block;
  width: 100%;
  position: relative;
  background: #efe5f5;
  border: 3px solid #e5d1f1;
  border-radius: 15px;
  text-shadow: none;
  padding: 15px 15px;
  box-sizing: border-box;
}

@media (min-width: 576px) {
  #maQuote .speech-bubble {
    padding: 20px 20px;
    min-height: 122px;
  }
}

#maQuote .speech-bubble::before {
  content: '';
  position: absolute;
  bottom: -17px;
  right: 52px;
  transform: translateX(-50%) rotate(45deg);
  width: 30px;
  height: 30px;
  background: linear-gradient(-45deg, #efe5f5 52%, transparent 0);
  border: 3px solid #e5d1f1;
  border-width: 0 3px 3px 0;
  border-radius: 0 0 3px 0;
  box-sizing: border-box;
}

#maQuote .speech-bubble-quote {
  position: absolute;
  top: 6px;
  left: 20px;
  background-image: url("../../assets/img/quote-dark-purp-left.svg");
  background-repeat: no-repeat;
  width: 130px;
  height: 110px;
  transform: scale(.8);
  opacity: .1;
  z-index: 1;
}

#maQuote p {
  font-family: 'Open Sans', sans-serif;
  font-size: 17px;
  margin-bottom: 0;
}

#maQuote .rating {
  background: #6f006f;
  border-radius: 20px;
  padding: 1px 10px 5px 10px;
}

#maQuote .quote-text-b {
  font-family: 'Roboto Condensed';
  font-size: 22px;
  line-height: 1.3;
  font-weight: 700;
}

@media (min-width: 576px) {
  #maQuote .quote-text-b {
    font-size: 26px;
    line-height: 1.2;
  }
}

@media (min-width: 992px) {
  #maQuote .quote-text-b {
    font-size: 24px;
    line-height: 1.2;
  }
}

@media (min-width: 1200px) {
  #maQuote .quote-text-b {
    font-size: 28px;
  }
}

#maQuote .speech-bubble-signature p {
  margin-top: 26px;
  margin-right: 54px;
  font-size: 20px;
  line-height: 1.1;
  text-align: right;
}

/* Town List Styling */

#towns {
  background: #efe5f5;
}

#towns .text-ps {
  font-family: 'Nothing You Could Do';
  font-weight: 600;
  font-size: 27px;
  line-height: 0;
  letter-spacing: 2px;
}

#towns p {
  font-size: 18px;
}

@media (min-width: 768px) {
  #towns p {
    font-size: 20px;
  }
}

#towns ul {
  padding-left: 0px !important;
}

#towns li {
  margin-bottom: 6px;
  line-height: 1.3;
  font-size: 18px;
}

@media (min-width: 1200px) {
  #towns li {
    font-size: 20px;
  }
}

#towns .list-towns {
  margin-left: calc(-66px + 29vw);
  column-count: 2;
  column-gap: 40px;
  line-height: 1.2;
}

@media (min-width: 576px) {
  #towns .list-towns {
    margin-left: 34px;
    column-count: 3;
  }
}

@media (min-width: 768px) {
  #towns .list-towns {
    margin-left: 76px;
  }
}

@media (min-width: 992px) {
  #towns .list-towns {
    margin-left: 100px;
  }
}

@media (min-width: 992px) {
  #towns .list-towns {
    column-count: 4;
  }
}

